

#include "ContainerWidget.h"


//--------------------------------------------------------------------------------
ContainerWidget::ContainerWidget( QWidget *parent ) : QWidget(parent)
{
	widget1 = NULL;
	widget2 = NULL;
}


//--------------------------------------------------------------------------------
void ContainerWidget::Initialize(QWidget *w1, QWidget *w2)
{
	widget1 = w1;
	widget2 = w2;
	this->resize(this->size());
}


//--------------------------------------------------------------------------------
void ContainerWidget::resizeEvent(QResizeEvent *event)
{
	// if both widgets are available
	if( widget1!=NULL  &&  widget2!=NULL )
	{
		// get the size of this widget
		int width = size().width();
		int height = size().height();
		widget1->setGeometry( 0,0, width/2, height );
		widget2->setGeometry( width/2,0, width/2, height );
	}
}